.gallery {
  position: relative;
  width: 100%;
  height: 12rem;
  margin: var(--spacing-vertical) 0;
}

.gallery > div {
  position: absolute;
  height: 100%;
  width: 100%;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  background-color: white;
  transition: opacity 800ms ease-out;
}
.gallery > div:target {
  z-index: 2;
}

.gallery > div > a {
  position: absolute;
  width: 2rem;
  height: 2rem;
  background: rgba(0, 0, 0, 0.5);
  border-radius: 1rem;
  color: white;
  font-weight: bold;
  top: calc(50% - 1rem);
  text-align: center;
  line-height: 2rem;
  text-decoration: none;
  display: inline-block;
  opacity: 0.5;
}

.gallery > div > a:hover {
  opacity: 1;
}

.gallery > div > a:first-of-type {
  left: 2rem;
}

.gallery > div > a:last-of-type {
  right: 2rem;
}
